import {
  __decorateClass
} from "../../chunks/chunk.QTSIPXV3.js";
import { gdsCustomElement } from "../../scoping";
import { withPositioningProps } from "../../utils/mixins/declarative-layout-mixins";
import { GdsButton } from "../button";
import styles from "./fab.styles";
let GdsFab = class extends withPositioningProps(GdsButton) {
  connectedCallback() {
    super.connectedCallback();
    this._dynamicStylesController.inject("FAB_styles", styles);
  }
};
GdsFab = __decorateClass([
  gdsCustomElement("gds-fab")
], GdsFab);
export {
  GdsFab
};
