import {
  __decorateClass,
  __privateAdd,
  __privateGet
} from "../../chunks/chunk.QTSIPXV3.js";
var _handleOnClick;
import { GdsElement } from "../../gds-element";
import { gdsCustomElement, html } from "../../scoping";
import { TransitionalStyles } from "../../transitional-styles";
import { Focusable } from "../../utils/mixins/focusable";
import styles from "../listbox/option.styles";
let GdsMenuItem = class extends Focusable(GdsElement) {
  constructor() {
    super(...arguments);
    __privateAdd(this, _handleOnClick, () => {
      this.dispatchEvent(
        new CustomEvent("gds-menu-item-click", {
          bubbles: true,
          composed: true
        })
      );
    });
  }
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("role", "menuitem");
    this.addEventListener("keydown", (e) => {
      if (e.key !== "Enter" && e.key !== " ")
        return;
      e.preventDefault();
      this.click();
    });
    this.addEventListener("click", __privateGet(this, _handleOnClick));
    TransitionalStyles.instance.apply(this, "gds-option");
  }
  render() {
    return html`<div><slot></slot></div>`;
  }
};
_handleOnClick = new WeakMap();
GdsMenuItem.styles = [styles];
GdsMenuItem = __decorateClass([
  gdsCustomElement("gds-menu-item")
], GdsMenuItem);
export {
  GdsMenuItem
};
